import { computed, defineComponent, onMounted, ref, watch } from 'vue'
import { useUserStore } from '@store/UserStore'
import { useRoute, useRouter } from 'vue-router'
import { useI18n } from 'vue-i18n'
import { useQuasar } from 'quasar'
import { CMyCardService } from '@src/components/CMyCardService'
import { CMyPage } from '@src/components/CMyPage'
import { CCheckIfIsLogged } from '@src/components/CCheckIfIsLogged'
import { toolsext } from '@store/Modules/toolsext'
import { tools } from '@tools'
import { shared_consts } from '@src/common/shared_vuejs'


export default defineComponent({
  name: 'mypagegood',
  components: { CMyCardService, CMyPage, CCheckIfIsLogged },
  props: {},
  setup() {
    const userStore = useUserStore()
    const $route = useRoute()
    const $q = useQuasar()
    const { t } = useI18n()


    const idGood = computed(() => $route.params.idGood ? $route.params.idGood.toString() : 0)

    return {
      t,
      idGood,
      toolsext,
      tools,
      shared_consts,
    }
  }
})
